from django.shortcuts import render
from django.views.generic import ListView
from django.contrib.auth.mixins import LoginRequiredMixin

from .models import Service


class ServiceList(LoginRequiredMixin, ListView):
    def get_queryset(self):
        return Service.objects.filter(adherent=self.request.user.profile.adherents) \
                    .order_by('-start')
